> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get library classid documentid attachmentid extension

> Returns the OSS extension data (e.g. ADXREF, ADATTR) stored alongside an attachment.



## OpenAPI

````yaml /openapis/attachment.json get /library/{libraryId}/classId/{classId}/documentId/{documentId}/attachmentId/{attachmentId}/extension/{extensionType}
openapi: 3.0.1
info:
  description: >-
    The AODocs REST API exposes most of the features of AODocs. It can be used
    to implement custom applications, third-party integration, bulk tools, or
                                            just to experiment with AODocs.
  version: '69.4'
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: drawing
    description: Lets you list existing views, update views, create new views
paths:
  /library/{libraryId}/classId/{classId}/documentId/{documentId}/attachmentId/{attachmentId}/extension/{extensionType}:
    get:
      tags:
        - drawing
      description: >-
        Returns the OSS extension data (e.g. ADXREF, ADATTR) stored alongside an
        attachment.
      operationId: drawing:v1.Drawing.getExtension
      parameters:
        - $ref: '#/components/parameters/domain_query_parameter'
        - $ref: '#/components/parameters/libraryId_path_parameter'
        - $ref: '#/components/parameters/classId_path_parameter'
        - $ref: '#/components/parameters/documentId_path_parameter'
        - name: attachmentId
          in: path
          description: The OSS object id of the attachment.
          required: true
          schema:
            type: string
        - name: extensionType
          in: path
          description: The extension type to retrieve (e.g. ADXREF, ADATTR).
          required: true
          schema:
            type: string
        - $ref: '#/components/parameters/securityCode_query_parameter'
      responses:
        '200':
          description: A ApiOssExtension response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiOssExtension'
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  parameters:
    domain_query_parameter:
      name: domain
      in: query
      description: The G Suite domain
      required: false
      schema:
        type: string
    libraryId_path_parameter:
      name: libraryId
      in: path
      description: The ID of the library
      required: true
      schema:
        type: string
    classId_path_parameter:
      name: classId
      in: path
      description: The ID of the document class
      required: true
      schema:
        type: string
    documentId_path_parameter:
      name: documentId
      in: path
      description: The ID of the document
      required: true
      schema:
        type: string
    securityCode_query_parameter:
      name: securityCode
      in: query
      description: The security code
      required: false
      schema:
        type: string
  schemas:
    ApiOssExtension:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/AttributeExtractionResult'
        kind:
          type: string
        xrefs:
          $ref: '#/components/schemas/XrefExtractionResult'
    AttributeExtractionResult:
      type: object
      properties:
        blocks:
          type: array
          items:
            $ref: '#/components/schemas/BlockAttributes'
        classId:
          type: string
        customProperties:
          type: object
          additionalProperties:
            type: string
        documentId:
          type: string
        domainName:
          type: string
        drawingExtents:
          $ref: '#/components/schemas/DrawingExtents'
        error:
          type: object
          properties:
            code:
              type: string
            details:
              type: object
              additionalProperties:
                type: string
            message:
              type: string
        extractedAt:
          type: string
        file:
          $ref: '#/components/schemas/File'
        libraryId:
          type: string
        libraryType:
          type: string
        status:
          type: string
        version:
          type: string
    XrefExtractionResult:
      type: object
      properties:
        classId:
          type: string
        documentId:
          type: string
        domainName:
          type: string
        error:
          type: object
          properties:
            code:
              type: string
            details:
              type: object
              additionalProperties:
                type: string
            message:
              type: string
        extractedAt:
          type: string
        file:
          $ref: '#/components/schemas/File'
        libraryId:
          type: string
        libraryType:
          type: string
        status:
          type: string
        version:
          type: string
        xrefs:
          type: array
          items:
            $ref: '#/components/schemas/XrefInfo'
    BlockAttributes:
      type: object
      properties:
        attributes:
          type: array
          items:
            $ref: '#/components/schemas/AttributeEntry'
        blockName:
          type: string
    DrawingExtents:
      type: object
      properties:
        height:
          type: number
          format: double
        maxX:
          type: number
          format: double
        maxY:
          type: number
          format: double
        maxZ:
          type: number
          format: double
        minX:
          type: number
          format: double
        minY:
          type: number
          format: double
        minZ:
          type: number
          format: double
        width:
          type: number
          format: double
    File:
      type: object
      properties:
        id:
          type: string
    XrefInfo:
      type: object
      properties:
        name:
          type: string
        originalPath:
          type: string
        resolved:
          type: boolean
    AttributeEntry:
      type: object
      properties:
        boundingBox:
          $ref: '#/components/schemas/BoundingBox'
        position:
          $ref: '#/components/schemas/Position'
        rotation:
          type: number
          format: double
        tag:
          type: string
        textHeight:
          type: number
          format: double
        type:
          type: string
          enum:
            - STRING
            - INTEGER
            - DOUBLE
            - DATE
        value:
          type: string
        widthFactor:
          type: number
          format: double
    BoundingBox:
      type: object
      properties:
        height:
          type: number
          format: double
        maxX:
          type: number
          format: double
        maxY:
          type: number
          format: double
        minX:
          type: number
          format: double
        minY:
          type: number
          format: double
        width:
          type: number
          format: double
    Position:
      type: object
      properties:
        x:
          type: number
          format: double
        'y':
          type: number
          format: double
        z:
          type: number
          format: double
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````